### Constructor

# Gsk SubsurfaceNodenew

since: 4.14

#### Declaration [src]

    GskRenderNode*
    gsk_subsurface_node_new (
      GskRenderNode* child,
      gpointer subsurface
    )

#### Description [src]

Creates a `GskRenderNode` that will possibly divert the child node to a subsurface.

Note: Since subsurfaces are currently private, these nodes cannot currently be created outside of GTK. See GtkGraphicsOffload.

Available since: 4.14

This method is not directly available to language bindings.

#### Parameters

`child`

  Type: `GskRenderNode`

  The child to divert to a subsurface.

  The data is owned by the caller of the function.

`subsurface`

  Type: `gpointer`

  The subsurface to use.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GskSubsurfaceNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.